
const axios = require('axios');


var { account_config } = require('../config/config.js')

var url = account_config.FEISHU_URL

const sendMessage = async (...params) => {
    var log = '环境:' + process.env.NODE_ENV + ' ----> ';
    for (let index = 0; index < params.length; index++) {
        log = log.concat(params[index].toString())
    }
    params = log;
    console.log('sendMessage', log)
    var data = {
        msg_type: "text",
        content: { text: params }
    }
    axios.post(url, data)
        .then(res => {
            console.log('res=>', res.status, res.data);
        }).catch(err => {
            console.error('http_request_post error ', err);
        });
}

module.exports = {
    sendMessage
}