const router = require('koa-router')() //导入 koa-router
const redis = require("../model/db/redis_db")  //导入 db.js
const mysql = require("../model/db/mysql_db")  //导入 db.js
// https://github.com/luin/ioredis#readme
const logger = require('../model/logger')

router.prefix('/test');
router.post('/set', async (ctx) => {
    // const obj = ctx.request.body;
    // console.log("set:",obj)
    // redis.redis_set(obj.key, obj.value);
    // ctx.body = obj.key + " - "+ obj.value
    // var arrays = [1, 2, 3, 4, 5]

    for (let index = 0; index < 10; index++) {
        redis.redis_push('WITHDRAW_QUEUE_KEY', JSON.stringify({ code: index }))
    }

    while (true) {
        var item = await redis.redis_pop('WITHDRAW_QUEUE_KEY')
        logger.log('item', typeof item, JSON.parse(item));
        if (!item) {
            break
        }
    }
    logger.log('exit');
})

router.post('/get', async (ctx) => {
    const obj = ctx.request.body;
    console.log("get:", obj)
    await redis.redis_get(obj.key).then((result) => {
        // ctx.body = "key:" + obj.key + " \n" + "value:" + result
        console.error('>>>>>>>>>>>>redis_get' + "key:" + obj.key + "-" + "value:" + result)
    });
    await redis.readRedis(obj.key).then((result) => {
        ctx.body = "readRedis key:" + obj.key + " \n" + "value:" + result
    });
})


router.post('/queryUserPrivateKey', async (ctx) => {
    const obj = ctx.request.body;
    console.log("queryUserPrivateKey:", obj)
    // await mysql.queryUserPrivateKeyFromUserAddress(obj.userAddress).then(function (mysqlDbResp){
    //     ctx.body = "results:" +  JSON.stringify(mysqlDbResp)
    //     console.log('mysqlDbResp=', JSON.stringify(mysqlDbResp));
    // })

    await mysql.queryCompanyInfoFromId(0).then(e => {
        ctx.body = "results:" + JSON.stringify(e)
    })
})
module.exports = router

